html {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
}

body {
  font-family: sans-serif;
  font-weight: 200;
  font-style: normal;
  color: #4C585B;
  background-color: #f3f2ee;
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
}

a {
  color: #4C585B;
  text-decoration: none;
}

a:hover {
  color: #4C585B;
  text-decoration: underline;
}

a:visited {
  color: #4C585B;
  text-decoration: none;
}

a:active {
  color: #4C585B;
  text-decoration: none;
}

h2 {
  font-weight: 200;
  font-style: normal;
  font-size: clamp(1.6em, 2vw, 3em);
  margin: 0px;
}

h3 {
  font-weight: 200;
  font-style: normal;
  font-size: 1em;
  margin: 0px;
}

h4 {
  font-weight: 200;
  font-style: normal;
  font-size: 0.8em;
  margin: 0px;
}

p {
  margin: 0px;
  font-size: 1em;
  line-height: 1.4em;
}

.쌀 {
  background-color: #fffefa;
}

.물 {
  background-color: #4C585B;
}

.누룩 {
  background-color: #f3f2ee;
}

.stout {
  background-color: #240e01;
}

.traditional {
  background: #F1DCBF;
}

.mulled {
background: linear-gradient(to right, #970c0c, #FFCA28, #FEEBCF, #FFCA28, #970c0c);
}

.container {
  display: flex;
  flex-direction: column;
  gap: 0px;
  height: 100%;
  width: 100%;
}

.listing-container {
  padding: 60px; 
  gap: 60px;
  display: flex;
  flex-wrap: wrap;
}

@media (max-width: 470px) {
  .listing-container {
    flex-direction: column;
    flex-wrap: nowrap;
    padding: 40px; 
    gap: 40px;
  }
}

@media (max-width: 470px) {
  .listing-container {
    padding: 20px; 
    gap: 20px;
  }
}

.listing {
    padding: 20px;
    display: flex;
    flex-direction: column;
    flex: 1;
    flex-basis: 20%;
    min-width: 220px;
    border-radius: clamp(15px, 1.2vw, 25px);
    box-shadow: 0 0px 40px #c9cfd1, 0 0px 5px #9ba1a2;
  }

.content {
  padding: 20px;
  background-color: #fffefa;
  display: flex;
  flex-direction: column;
  gap: 20px;
  text-align: start;
  flex: 1;
}

.madein{
display: flex;
flex-direction: row;
justify-content: space-between; 
margin-top: auto;
}


.meta {
  display: flex;
  flex-direction: column;
  border: 1px solid #f3f2ee;
  padding: 10px; 
  gap: 10px;
}

.state {
  display: flex;
  flex-direction: row;
  justify-content: space-between; 
  align-items: center;
  gap: 10px;
  height: fit-content;
}

.비움{
  color: #4C585B;
  background-color: #f3f2ee;
  display: inline;
  padding: 5px 10px 4px 10px;
  border-radius: 10px;
}

.발효중 {
  background-color: #464646;
  color: #f3f2ee;
  display: inline;
  padding: 5px 10px 4px 10px;
  border-radius: 10px;
}

.type {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.divider {
    width: 100%;
    height: 1px;
    background-color: #f3f2ee; 
}

.image-container {
  flex: 1;
  max-height: 10vh;
  text-align: center;
}

.ingredients {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.ingredients div {
 display: flex;
 flex-wrap: wrap;
 gap: 5px;
 align-items: center;
}

.ingredients h4 {
  padding: 5px 10px 4px 10px;
  border-radius: 10px;
  border: 1px solid #f3f2ee;
}


.ingredients .divider {
  width: 10px;
  text-align: center;
}

